'use strict';

app.controller('MetadataCtrl', ['$scope', 'FormService', 'RestService', 'formData', 'metadataLanguages', 'descriptiveMetadataExtractors',
    function ($scope, FormService, RestService, formData, metadataLanguages, descriptiveMetadataExtractors) {
	
    $scope.formData = formData;
    $scope.descriptiveMetadataExtractors = descriptiveMetadataExtractors;
    $scope.metadataLanguages = metadataLanguages;

	$scope.submit = function (form) {
        FormService.submitForm('metadata', $scope.formData, form, $scope);
    };

    $scope.onlineMetadataEnabled = function() {
    	return $scope.formData.descriptiveMetadataExtractor == 'ONLINE_VIDEO_SOURCES';
    }

    $scope.refreshVideoMetadata = function() {
        $scope.videoMetadataRefreshInProgress = true;
        RestService.invokeAction('forceVideoFilesMetadataUpdate', null, true, function(response) {            
            $scope.videoMetadataRefreshInProgress = false;            
        }, function(response) {            
            $scope.videoMetadataRefreshInProgress = false;
        })
    };

}]);